package com.galaxis.manatee.service;

import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunCostCollectionDO;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunEquipmentDO;
import org.springframework.scheduling.annotation.Async;

import java.util.List;

/**
 * 氚云服务调用
 */
public interface ChuanyunService {

    /**
     * 更新项目组成员
     */
    void updateProjectMember();

    /**
     * 获取成本集合
     * @return  成本集合
     */
    List<ChuanyunCostCollectionDO> getAllCostCollection();

    /**
     * 根据表单编号更新所属部门信息
     * @param code  表单编号
     */
    void updateChuanyunDept(String code);


    /**
     * 设备配置信息导入
     */
    void importEquipment(List<ChuanyunEquipmentDO> list);

    /**
     * 更新项目中受益部门名称
     */
    void updateU9Department();

    /**
     * 立项时更新项目组成员
     */
    @Async
    void updateMember(String param);
}
